Bug 1463801 - qpid dispatch router on capsule leaking memory at scale
qpid dispatch router on capsule leaking memory at scale
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Performance (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity urgent (vote)
: Beta
: --
Assigned To: satellite6-bugs
jcallaha
scale_lab
: Performance, PrioBumpPM, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 15:36 EDT by pm-sat@redhat.com
Modified: 2018-02-21 12:33 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1368718
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2978511 None None None 2017-06-21 15:36 EDT

  None (edit)
Comment 2 jcallaha 2017-10-18 15:55:16 EDT
Verified in Satellite 6.3 Snap 20.

I ran the loop, outlined in https://bugzilla.redhat.com/show_bug.cgi?id=1368718#c12, on 100 hosts. At no point did the memory leak present itself. 

Before
------
qpidd    32415  0.7  0.0 498176 32724 ?        Ssl  13:45   0:04 /usr/sbin/qpidd --config /etc/qpid/qpidd.conf

During
------
qpidd    32415  1.1  0.1 522908 40836 ?        Ssl  13:45   0:12 /usr/sbin/qpidd --config /etc/qpid/qpidd.conf
qpidd    32415  1.3  0.1 546440 48984 ?        Ssl  13:45   0:18 /usr/sbin/qpidd --config /etc/qpid/qpidd.conf
qpidd    32415  1.5  0.1 550352 52696 ?        Ssl  13:45   0:25 /usr/sbin/qpidd --config /etc/qpid/qpidd.conf
qpidd    32415  2.2  0.2 550012 67224 ?        Ssl  13:45   1:24 /usr/sbin/qpidd --config /etc/qpid/qpidd.conf

After
-----
qpidd    32415  2.2  0.2 548156 67688 ?        Ssl  13:45   1:25 /usr/sbin/qpidd --config /etc/qpid/qpidd.conf
qpidd    32415  1.9  0.1 501428 57268 ?        Ssl  13:45   1:35 /usr/sbin/qpidd --config /etc/qpid/qpidd.conf
Comment 3 Bryan Kearney 2018-02-21 12:33:25 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336
Comment 4 Bryan Kearney 2018-02-21 12:33:45 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.